// ResourceViewerDlg.h : header file
//

#if !defined(AFX_RESOURCEVIEWERDLG_H__A12FA342_E24C_4EA5_8B4C_C4F93926A6E8__INCLUDED_)
#define AFX_RESOURCEVIEWERDLG_H__A12FA342_E24C_4EA5_8B4C_C4F93926A6E8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CResourceViewerDlg dialog

#if !defined(STUFF_STUFF_HPP)
	#include "Stuff\Stuff.hpp"
#endif

#if !defined(ADEPT_ADEPT_HPP)
	#include "Adept\Adept.hpp"
#endif

class CResourceViewerDlg : public CDialog
{
// Construction
public:
	CResourceViewerDlg(CWnd* pParent = NULL);	// standard constructor
	~CResourceViewerDlg();
// Dialog Data
	//{{AFX_DATA(CResourceViewerDlg)
	enum { IDD = IDD_RESOURCEVIEWER_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResourceViewerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CResourceViewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenButton();
	afx_msg void OnColumnclickResList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESOURCEVIEWERDLG_H__A12FA342_E24C_4EA5_8B4C_C4F93926A6E8__INCLUDED_)
